"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
require("./field-usage-table.css");
var path_1 = __importDefault(require("./path/path"));
var duration_1 = __importDefault(require("./duration/duration"));
var dash_table_1 = __importDefault(require("../../table/dash-table"));
var FieldUsageTable = function (props) {
    var _a;
    var data = props.results;
    var sortedData = (_a = data) === null || _a === void 0 ? void 0 : _a.fieldUsages.sort(function (a, b) { return b.count - a.count; });
    var sum = 0;
    sortedData.forEach(function (field) {
        sum += field.count;
    });
    var tableData = {
        columns: [
            { name: 'path', label: 'Field Path' },
            { name: 'count', label: 'Usage Count' },
            { name: 'duration', label: 'Average Resolving Time' },
            { name: 'lastRequestDate', label: 'Last Request Date' }
        ],
        rows: sortedData.map(function (data) { return ({
            path: react_1.default.createElement(path_1.default, { path: data.name }),
            count: data.count + " (" + Math.round(data.count * 100 / sum) + "%)",
            duration: react_1.default.createElement(duration_1.default, { duration: data.averageDuration }),
            lastRequestDate: new Date(data.lastRequestTime).toLocaleString()
        }); }),
    };
    return react_1.default.createElement(dash_table_1.default, { data: tableData });
};
exports.default = FieldUsageTable;
