"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_apexcharts_1 = __importDefault(require("react-apexcharts"));
var react_hooks_1 = require("@apollo/react-hooks");
require("./field-usages-timeline.css");
var apollo_boost_1 = require("apollo-boost");
var FieldUsageTimeline = function (props) {
    var senderId = props.senderId, className = props.className;
    var _a = react_hooks_1.useQuery(apollo_boost_1.gql(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n        query($senderId: String){\n            timedUsages(senderId: $senderId){\n                day\n                count\n            }\n        }\n    "], ["\n        query($senderId: String){\n            timedUsages(senderId: $senderId){\n                day\n                count\n            }\n        }\n    "]))), { pollInterval: 3000, variables: { senderId: senderId } }), loading = _a.loading, error = _a.error, data = _a.data;
    if (loading)
        return react_1.default.createElement("span", null, "Loading..");
    if (error)
        return react_1.default.createElement("span", null, "Error..");
    var seriesData = data.timedUsages.map(function (timedUsage) { return ({
        x: timedUsage.day,
        y: timedUsage.count
    }); });
    if (seriesData.length <= 1) {
        return react_1.default.createElement("span", null);
    }
    var state = {
        series: [{
                name: 'Count of Requests',
                data: seriesData
            }],
        options: {
            chart: {
                type: 'area',
                stacked: false,
                height: 350,
                zoom: {
                    type: 'x',
                    enabled: true,
                    autoScaleYaxis: true
                },
                toolbar: {
                    autoSelected: 'zoom'
                }
            },
            dataLabels: {
                enabled: false
            },
            markers: {
                size: 0,
            },
            title: {
                text: 'Usages by dates',
                align: 'left'
            },
            fill: {
                type: 'gradient',
                gradient: {
                    shadeIntensity: 1,
                    inverseColors: true,
                    opacityFrom: 0.5,
                    opacityTo: 0,
                    stops: [0, 90, 100]
                },
            },
            yaxis: {
                labels: {
                    style: {
                        colors: "#b7e0ff"
                    }
                },
                title: {
                    text: 'Count'
                },
            },
            xaxis: {
                type: 'datetime',
                labels: {
                    style: {
                        colors: "#b7e0ff"
                    }
                },
                title: {
                    text: 'Dates'
                }
            },
            tooltip: {
                shared: false,
            }
        },
    };
    return react_1.default.createElement("div", { id: "chart", className: className },
        react_1.default.createElement(react_apexcharts_1.default, { options: state.options, series: state.series, type: "area", height: 350 }));
};
exports.default = FieldUsageTimeline;
var templateObject_1;
